Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ChartLegendInfo

    java.lang.Object
      jet.api.ChartLegendInfo

    public class ChartLegendInfo

extends java.lang.Object

Class ChartLegendInfo defines information of a chart legend.

Field Summary
`static int` | `BOTTOM` Indicates to show chart legend on the bottom of the chart.
`static int` | `LEFT` Indicates to show chart legend on the left of the chart.
`static int` | `RIGHT` Indicates to show chart legend on the right of the chart.
`static int` | `TOP` Indicates to show chart legend on the top of the chart.

Constructor Summary
`ChartLegendInfo(java.lang.String name, boolean show)` Constructs the chart legend information.
`ChartLegendInfo(java.lang.String name, boolean show, int layout)` Constructs the chart legend information.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP

    public static final int TOP

  Indicates to show chart legend on the top of the chart.

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Indicates to show chart legend on the right of the chart.

  See Also:
    Constant Field Values

### BOTTOM

    public static final int BOTTOM

  Indicates to show chart legend on the bottom of the chart.

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Indicates to show chart legend on the left of the chart.

  See Also:
    Constant Field Values

Constructor Detail

### ChartLegendInfo

    public ChartLegendInfo(java.lang.String name,
                           boolean show)

  Constructs the chart legend information.

  Parameters:
    `name` - Specifies the instance name of the legend field. It can not be null.
    `show` - Indicates whether or not to show the legend in a chart.
    If `true`, it shows legends in the chart; if `false`, it creates legend in the chart but does not show it.

### ChartLegendInfo

    public ChartLegendInfo(java.lang.String name,
                           boolean show,
                           int layout)

  Constructs the chart legend information.

  Parameters:
    `name` - Specifies the instance name of the legend field. It can not be null.
    `show` - Indicates whether or not to show the legend in a chart.
    If `true`, it shows legends in the chart; if `false`, it creates legend in the chart but does not show it.
    `layout` - Specifies the legend's location in the chart.
  See Also:
    `TOP`, `RIGHT`, `BOTTOM`, `LEFT`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD